<template>
	<div class="w-full space-y-3">
		<template v-if="parsedData && parsedData.length > 0">
			<component
				v-for="(item, index) in parsedData"
				ref="componentRef"
				:key="item.id"
				:id="item.id"
				:is="summaryAnswerTypeMapCom[item.type]"
				:data="item"
				:originData="originData"
				:summaryIndex="index"
				@updateQuery ="(res)=> updateRecordSet(index,res)"
			></component>
		</template>
		<!-- <AmisPageTest /> -->
	</div>
</template>

<script setup lang="ts">
import { computed, ref } from 'vue';
import { chatComProps } from '../common';
import { SummaryAnswerType, summaryAnswerTypeMapCom } from './components/types';
// import AmisPageTest from './components/amisPage/AmisPageTest.vue';
const props = defineProps(chatComProps);

const parsedData = computed(() => {
	const newData = (props.data ?? []).map((item) => {
		if (item.type === SummaryAnswerType.RecordSet && item.chart === 'table') {
			item.type = SummaryAnswerType.RecordSetTable;
		}
		return item;
	});
	return newData;
});


const componentRef = ref<any[]>(null);

const updateRecordSet = (triggerIndex,res) => {
	for (const item of componentRef.value) {
		item?.updateAll(triggerIndex,res)
	}
};
</script>
<style scoped lang="scss"></style>
